# re_pattern_buffer Struct Reference

`#include <WOKUnix_regexp.h>`

## Data Fields

_TCHAR * | buffer
int | allocated
int | used
_TCHAR * | fastmap
_TCHAR * | translate
_TCHAR | fastmap_accurate
_TCHAR | can_be_null
_TCHAR * | buffer
_TCHAR * | fastmap
_TCHAR * | translate

## Field Documentation

int re_pattern_buffer::allocated

_TCHAR* re_pattern_buffer::buffer

_TCHAR* re_pattern_buffer::buffer

_TCHAR re_pattern_buffer::can_be_null

_TCHAR* re_pattern_buffer::fastmap

_TCHAR* re_pattern_buffer::fastmap

_TCHAR re_pattern_buffer::fastmap_accurate

_TCHAR* re_pattern_buffer::translate

_TCHAR* re_pattern_buffer::translate

int re_pattern_buffer::used

The documentation for this struct was generated from the following files:

- WOKNT_regexp.h
- WOKUnix_regexp.h